Index: frontend/src/Components/RestaurantEdit/MenuListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/MenuListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantEdit/MenuListing.js	(revision 0f5aa2759dde06c45eeb640feeb15cb583c6af32)
@@ -6,4 +6,5 @@
 import { AiOutlinePlusCircle } from "react-icons/ai"
 import EditModal from "../Resources/EditModal";
+import AddImages from "../Resources/AddImages";
 
 const MenuListing = (props) => {
@@ -12,6 +13,5 @@
     console.log(props.data)
     return(<>
-    <a href="#" onClick={(e) => {e.preventDefault(); props.showModal(props.data);
-    console.log("kliknav")} } style={{textDecoration: "none", color:"black"}}>
+    <a href="#" style={{textDecoration: "none", color:"black"}}>
         <Container className="py-3 px-1 my-4"
         style={{
@@ -23,5 +23,9 @@
             <Row>
                 <Col className="d-flex justify-content-center">
-                    <Image
+                    <Image onClick={(e) => {
+                        e.preventDefault();
+                        props.showModal(props.data);
+                        console.log("kliknav")
+                    }}
                     src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
                     style={{
@@ -37,4 +41,7 @@
                     <h6>{props.data.ingredients}</h6>
                 </Col>
+                <Col className="d-flex flex-column justify-content-center align-content-center">
+                    <AddImages type="menu" Id={props.data.menuId} />
+                </Col>
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
Index: frontend/src/Components/RestaurantEdit/RestaurantEditTab.js
===================================================================
--- frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision 0f5aa2759dde06c45eeb640feeb15cb583c6af32)
@@ -10,4 +10,6 @@
 import TableListing from "./TableListing";
 import EditModal from "../Resources/EditModal";
+import ReservationListing from "../HotelEdit/ReservationListing";
+import useGet from "../Hooks/useGet";
 
 function RestaurantEditTab(props) {
@@ -35,4 +37,12 @@
     setActiveTab(eventKey);
   };
+
+  const {
+    data,
+    isLoading,
+    setData,
+    getData,
+    setChanged: dhanged
+  } = useGet(`/restaurant/${props.displayMenu.restaurantID}/reservations/active`)
 
   console.log(props.displayMenu.restaurantID)
@@ -100,10 +110,10 @@
               return <MenuListing key={menu.menuId} data={menu} showModal={showModal}/>
             })}
-            {activeTab === '/hotel' && <EditModal show={show} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
+            {activeTab === '/hotel' && <EditModal show={show} refresh={props.refresh} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
             <AddNew Id={props.displayMenu.restaurantID} refresh={props.refresh} type="menu"/>
           </Tab.Pane>
           <Tab.Pane eventKey="/masi">
            {props.displayMenu.tables.map((table) => {
-              return <TableListing key={table.tableId} showModal={showModal} data={table}/>
+              return <TableListing key={table.tableId} refresh={props.refresh} showModal={showModal} handleClose={handleClose} data={table}/>
             })}
             {activeTab === '/masi' && <EditModal show={show} handleClose={handleClose} refresh={props.refresh} type="table"
@@ -112,5 +122,9 @@
           </Tab.Pane>
           <Tab.Pane eventKey="/restaurant">
-            <AddNew type="restaurant"/>
+            {!isLoading && data.map((res) => {
+              return (
+                  <ReservationListing type={'restaurant'} data={res}/>
+              )
+            })}
           </Tab.Pane>
           <Tab.Pane eventKey="/transport">
Index: frontend/src/Components/RestaurantEdit/TableListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/TableListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantEdit/TableListing.js	(revision 0f5aa2759dde06c45eeb640feeb15cb583c6af32)
@@ -41,5 +41,5 @@
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
-                  <AddAvailability type="table" table={props.data}/>
+                  <AddAvailability type="table" refresh={props.refresh} closeModal={props.handleClose} table={props.data}/>
                 </Col>
 
